org.apache.ignite.internal.commandline

## Class ActivateCommand

- java.lang.Object
- - org.apache.ignite.internal.commandline.ActivateCommand

All Implemented Interfaces:
  Command<Void>

Deprecated.
Use `ClusterStateChangeCommand` instead.

    @Deprecated
    public class ActivateCommand
    extends Object
    implements Command<Void>

Activate cluster command.

### Constructor Summary

Constructors
Constructor and Description
`ActivateCommand()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Void` `arg()` Deprecated.
`Object` `execute(GridClientConfiguration cfg, Logger logger)` Deprecated. Activate cluster.
`String` `name()` Deprecated.
`void` `printUsage(Logger logger)` Deprecated. Print info for user about command (parameters, use cases and so on).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.commandline.Command

`confirmationPrompt, experimental, experimentalEnabled, extendToLen, parseArguments, prepareConfirmation, startClient, usage, usage, usageParams`

### Constructor Detail

#### ActivateCommand

    public ActivateCommand()

Deprecated.

### Method Detail

#### printUsage

    public void printUsage(Logger logger)

Deprecated.
Print info for user about command (parameters, use cases and so on).

Specified by:
  `printUsage` in interface `Command<Void>`
Parameters:
  `logger` - Logger to use.

#### execute

    public Object execute(GridClientConfiguration cfg,
                          Logger logger)
                   throws Exception

Deprecated.
Activate cluster.

Specified by:
  `execute` in interface `Command<Void>`
Parameters:
  `cfg` - Client configuration.
  `logger` - Logger to use.
Returns:
  Result of operation (mostly usable for tests).
Throws:
  `GridClientException` - If failed to activate.
  `Exception` - If error occur.

#### arg

    public Void arg()

Deprecated.

Specified by:
  `arg` in interface `Command<Void>`
Returns:
  Command arguments which were parsed during `Command.parseArguments(CommandArgIterator)` call.

#### name

    public String name()

Deprecated.

Specified by:
  `name` in interface `Command<Void>`
Returns:
  command name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020